# Class: module:core/utils/data

## module:core/utils/data

#### new module:core/utils/data(context, id) → {Data}

HOMEWORKS COMPONENT Store constructor, It is separated by each COMPOENTS.

##### Parameters:

Name | Type | Description
--- | --- | ---
`context` | Method | HOMEWORKS Method Context.
`id` | string | HOMEWORKS Component Unique ID

Author:
  - Kenneth
Source:
  - data.js, line 18
See:
  - Refer an example document here.

##### Returns:

Type
  Data

### Members

#### store

Data's store variable, This is the heart of Data.

##### Properties:

Name | Type | Description
--- | --- | ---
`$self` | Data | Reference of Data (self).
`$super` | ComponentMethod | Reference of ComponentMethod.
`$helper` | ComponentHelper | Reference of ComponentHelper.
`_init` | Boolean | If component already done initialize process, It will be true (This is prevent a duplication of initializing).
`_anim` | Boolean | The logical variable of Component animating.
`_bind` | Boolean | The logical variable of Component binding.
`anim` | Object | Animation configuration object.
`framework` | String | Framework full name.
`prefix` | String | Framework short name for using set class name prefix of Component.
`id` | String | An unique id of Component, It will be automatically setted in the process of ComponentMethod.
`element` | Array.<jQuery> | Quick reference of jQuery objects that refered frequently.
`global` | Object | Global properties each of Components.

Source:
  - data.js, line 43